description

# UserTag class Null safety

A UserTag can be used to group samples in the Observatory profiler.

## Constructors

UserTag(String label)
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
label → String
  Label of this.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

makeCurrent() → UserTag
  Make this the current tag for the isolate. Returns the current tag before setting.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

defaultTag → UserTag
  The default UserTag with label 'Default'.
  read-only

## Constants

MAX_USER_TAGS → const int
  The maximum number of UserTag instances that can be created by a program.
  `64`